const fs = require('fs');
const path = require('path');

const srcDir = path.join(__dirname, 'dist/src');
const destDir = path.join(__dirname, 'dist');

// Move files from dist/src to dist and delete the src folder
function flattenDist() {
  fs.readdirSync(srcDir).forEach((file) => {
    const srcFile = path.join(srcDir, file);
    const destFile = path.join(destDir, file);
    fs.renameSync(srcFile, destFile);
  });
  fs.rmdirSync(srcDir);
}

flattenDist();